Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.sql
Interface GroovyResultSet

    groovy.lang.GroovyObject
      groovy.sql.GroovyResultSet

All Superinterfaces:
  GroovyObject

    interface GroovyResultSet
    extends GroovyObject

Represents an extent of objects

author:
  James Strachan

author:
  Ivan Ganza

author:
  Chris Stevenson

version:
  $Revision: 16403 $

Method Summary
`void` | `add(Map values)` Adds a new row to this result set
`void` | `eachRow(Closure closure)` Call the closure once for each row in the result set.
`Object` | `getAt(int index)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.
`Object` | `getAt(String columnName)` Gets the value of the designated column in the current row as an `Object`.
`void` | `putAt(int index, Object newValue)` Supports integer based subscript operators for updating the values of numbered columns starting at zero.
`void` | `putAt(String columnName, Object newValue)` Updates the designated column with an `Object` value.

Methods inherited from interface GroovyObject
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Method Detail

### add

    public void add(Map values)

  Adds a new row to this result set
  param:
    values the new values to add
  throws:
    SQLException if a database error occurs

### eachRow

    public void eachRow(Closure closure)

  Call the closure once for each row in the result set.
  param:
    closure the closure to call for each row
  throws:
    SQLException if a database error occurs

### getAt

    public Object getAt(int index)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  return:
    the object for this index in the current result set
  throws:
    SQLException if a database error occurs

### getAt

    public Object getAt(String columnName)

  Gets the value of the designated column in the current row as an `Object`.
  param:
    columnName the SQL name of the column
  return:
    the returned column value
  throws:
    groovy.lang.MissingPropertyException if an SQLException happens while getting the object

### putAt

    public void putAt(int index, Object newValue)

  Supports integer based subscript operators for updating the values of numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  param:
    newValue the new value for this index
  throws:
    SQLException if a database error occurs

### putAt

    public void putAt(String columnName, Object newValue)

  Updates the designated column with an `Object` value.
  param:
    columnName the SQL name of the column
  param:
    newValue the updated value
  throws:
    groovy.lang.MissingPropertyException if an SQLException happens while setting the new value

Copyright © 2003-2009 The Codehaus. All rights reserved.